<div class="otp-wrap">
  <form [formGroup]="otpForm">
    <div class="otp-header">{{'OTP_HEADER' | translate:lang }}</div>
    <div class="otp-body">
      <div class="otp-txt">{{'OTP_SUB_HEADER' | translate:lang }} {{data.mobileNumber || data.userMobile}}</div>
      <div>
        <input type="text" [placeholder]="'OTP_PLACEHOLDER' | translate:lang" required formControlName="otp"
          [maxLength]="otpRule.LENGTH" (keyup.enter)="sendOtp()" required>
        <mat-error *ngIf="otpForm.controls['otp'].errors?.pattern">
          {{ 'OTP_ERROR' | translate:lang }}
        </mat-error>
        <mat-error *ngIf="otpForm.controls['otp'].errors?.minlength && !otpForm.controls['otp'].errors?.pattern">
          {{'ERROR_COMMON_TEXT' | translate:lang }} {{otpRule.LENGTH}}
          {{'DIGITS' | translate: lang }}
        </mat-error>
      </div>
      <div>
        <button [ngClass]="{'component-disabled': otpForm.invalid}" type="button" (click)="sendOtp()">{{'VERIFY' | translate:lang}}</button>
      </div>
      <div class="otp-resend">
        {{ 'DIDNOT_RECEIVE' | translate:lang }}<br>
        <span [ngClass]="{'component-disabled': disableResendOtp}"
          (click)="resendOTP()">{{ 'RESEND_CODE' | translate:lang }}</span> &nbsp;
        <span class="otp-timer" *ngIf="disableResendOtp">{{otpTimer}}</span>
      </div>
    </div>
  </form>
</div>